{
  "type": "minecraft:entity",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:poisonous_potato",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                  "max_stack_size": 1,
                  "custom_data": {
                    "IsSharpenedFlint": true,
                    "or_edited_item": true,
                    "or_no_edit": true,
                    "or_is_tool": true,
                    "or_is_sharpened_flint": true,
                  "or_can_cause_bleeding": true,
                    "sharpened_flint_uses": 0,
                    "sharpened_flint_usage": {
                      "usage_0": 0,
                      "usage_1": 0,
                      "usage_2": 0,
                      "usage_3": 0
                    }
                  },
                  "minecraft:item_name": {
                    "translate": "item.overlyrealistic.sharpened_flint",
                    "fallback": "Sharpened Flint",
                    "color": "white"
                  },
                  "attribute_modifiers": [
                    {
                      "amount": 1.0,
                      "id": "minecraft:base_attack_damage",
                      "operation": "add_value",
                      "type": "attack_damage",
                      "display": {
                        "type": "default"
                      },
                      "slot": "mainhand"
                    }
                  ],
                  "enchantments": {
                    "overly_realistic:or_internal_sharpened_flint": 1 
                  },
                  "enchantment_glint_override": false,
                  "tooltip_display": {
                    "hidden_components": [
                      "enchantments"
                    ]
                  },
                  "rarity": "common",
                  "food": {
                    "nutrition": 0,
                    "saturation": 0,
                    "can_always_eat": true
                  },
                  "consumable": {
                    "animation": "block",
                    "consume_seconds": 99999,
                    "has_consume_particles": false,
                    "sound": "intentionally_empty"
                  },
                  "item_model": "overlyrealistic:items/sharpened_flint/sharpened_flint_0"
                }
            }
          ]
        }
      ]
    }
  ]
}